# Item Class

var name: String
var type: String


func _init(name: String, type: String) -> void:
    self.name = name
    self.type = type
    return


func equals(other) -> bool:
    if(self.name == other.name and self.type == other.type):
        return true
    return false
